[Overview][Types][Procedures and functions][Index] | Reference for unit 'exeinfo' (#rtl)

# GetModuleByAddr

Return the module name by address

## Declaration

Source position: exeinfo.pp line 62

`procedure GetModuleByAddr(`
`addr: pointer;`
`var baseaddr: pointer;`
`var filename: string`
`);`

## Arguments

`addr` |  | Address to examine
`baseaddr` |  | Base address at which module is loaded.
`filename` |  | FileName of the module at address addr.

## Description

GetModuleByAddr returns the name of the module that contains address addr. If successful, it returns True and returns the filename in FileName and the base address at which it is loaded in BaseAddr.